/*
* Copyright (C) 2018  Calo001 <calo_lrc@hotmail.com>
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU Affero General Public License as published
* by the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Affero General Public License for more details.
* 
* You should have received a copy of the GNU Affero General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
* 
*/

namespace App.Configs {

    /**
     * The {@code Strings} class is responsible for defining all 
     * the strings for translation used in the application.
     *
     * @since 1.0.0
     */
    public class S {
        public abstract const string TODAY = _("Today");
        public abstract const string CATEGORIES = _("Categories");
        public abstract const string VISIT_WEB_SITE = _("Visit web site");
        public abstract const string UNSPLASH_DESCRIPTION = _("Photos from Unsplash: Beautiful Free Images & Pictures 🎁");
        public abstract const string PHOTO_BY = _("Photo by ");
        public abstract const string ON_UNSPLASH = _(" on Unsplash");
        public abstract const string SHARE = _("Share");
        public abstract const string EMAIL = _("Email");
        public abstract const string COPY_LINK = _("Copy link");
        public abstract const string OPTIONS = _("Options");
        public abstract const string CENTERED = _("Centered");
        public abstract const string SCALED = _("Scaled");
        public abstract const string ZOOM = _("Zoom");
        public abstract const string SPANNED = _("Spanned");
        public abstract const string WALLPAPER_READY = _("Wallpaper ready!");
        public abstract const string WALLPAPER_READY_BODY = _("Your new wallpaper is ready!");
        public abstract const string CHECK_NETWORK_CONNECTION = _("Check the network connection.");
        public abstract const string RETRY = _("Retry");
        public abstract const string AN_AMAZING_PLACE = _("🌎  An amazing place in the world")  ;
        public abstract const string CATEGORY_NATURE = _("🌻 Nature");
        public abstract const string CATEGOTY_ANIMAL = _("🐹 Animal");
        public abstract const string CATEGOTY_FOOD_DRINK = _("☕ Food & drink");
        public abstract const string CATEGORY_SPACE = _("🌙 Space");
        public abstract const string CATEGORY_SPORT = _("🏸 Sport");
        public abstract const string CATEGORY_BUSINESS_WORK = _("📊 Business & work");
        public abstract const string CATEGORY_FASHION = _("‍🎩 Fashion");
        public abstract const string CATEGORY_ARTS_CULTURE = _("🎨 Art & culture");
        public abstract const string CATEGORY_ARCHITECTURE = _("🏦 Architecture");
        public abstract const string CATEGORY_TECHNOLOGY = _("💻 Technology");
        public abstract const string CATEGORY_TEXTURE_PATTERN = _("🍁 Texture & pattern");
        public abstract const string CATEGORY_FLATLAY = _("📑 Flat lay");
        public abstract const string PHOTOS_NOT_FOUND = _("Photos not found");
        public abstract const string LOADING = _("Loading…");
        public abstract const string CLOSE = _("Close full screen");
        public abstract const string SEARCH_PHOTOS_UNSPLASH = _("Search photos Unsplash");
        public abstract const string HISTORY = _("History");
        public abstract const string LIGHT_BACKGROUND = _("Light background");
        public abstract const string DARK_BACKGROUND = _("Dark background");
        public abstract const string ABOUT = _("About");
        public abstract const string TODAY_TAB = _("TODAY");
        public abstract const string CATEGORIES_TAB = _("CATEGORIES");
        public abstract const string HISTORY_TAB = _("HISTORY");
        public abstract const string NO_DESCRIPTION_AVAILABLE = _("No description available");        
        public abstract const string SET_AS_WALLPAPER = _("Set as wallpaper");        
        public abstract const string DETAILS = _("Details");
        public abstract const string USER_PROFILE = _("Visit profile");   
        public abstract const string TOTAL_RESULTS = _("Total results");      
        public abstract const string SEARCH_TOOLTIP = _("Find out what you like️");
        public abstract const string EMPTY_SEARCH_DESCRIPTION = _("Try changing search terms.");
        public abstract const string EMPTY_HISTORY_DESCRIPTION = _("Click on a photo to add it to the history.");
        public abstract const string NETWORK_ERROR = _("Network Error");
        public abstract const string LANDSCAPE = _("Landscape");
        public abstract const string PORTRAIT = _("Portrait");
        public abstract const string ANY = _("Any");
        public abstract const string DELETE_PHOTO_DIALOG_TITLE = _("Delete a photo from history");
        public abstract const string DELETE_PHOTO_DIALOG_MESSAGE = _("Are you sure you want to delete the photo from history?");
        public abstract const string WALLPAPER_SLIDESHOW = _("Wallpaper Slideshow");
        public abstract const string PREPARING_SLIDESHOW = _("Preparing slideshow ...");
        public abstract const string SLIDESHOW_PERIODICITY = _("Select a period of time to change the wallpaper in the slideshow.");
        public abstract const string GREETER_DESCRIPTION_CONTAINER = _("You can change the photo to use on the lock screen by clicking on one of the selected photos.");
        public abstract const string USER_IN_GREETER = _("Use on lock screen");
        public abstract const string SLIDESHOW_MIN_PHOTOS = _("Add at least two photos");
        public abstract const string SLIDESHOW_PHOTOS_SELECTED = _("%d photos selected");
        public abstract const string SLIDESHOW_PHOTO_SELECTED = _("%d photo selected");
        public abstract const string SLIDESHOW_SELECT_PHOTOS_BY = _("Select 1 or more photos by clicking on ");
        public abstract const string SLIDESHOW_NOTIFICATION_TITLE = _("Wallpaper slideshow ready!");
        public abstract const string SLIDESHOW_NOTIFICATION_BODY = _("Enjoy a new beautiful wallpaper every %s");
        public abstract const string SLIDESHOW_30_MIN = _("30 minutes");
        public abstract const string SLIDESHOW_1_HOUR = _("1 hour");
        public abstract const string SLIDESHOW_1_DAY = _("1 day");
        public abstract const string SLIDESHOW_GENERATE = _("Generate!");
        public abstract const string SLIDESHOW_XML_ERROR = _("Error on generate slideshow");
        public abstract const string ERROR = _("Error");
        public abstract const string DOWNLOAD = _("Download photo");
        public abstract const string DOWNLOADING = _("Downloading ...");
        public abstract const string OPEN_FOLDER = _("Show in File Browser");
        public abstract const string JPEG_IMAGE_FILTER = _("JPEG images");
        public abstract const string SAVE_PHOTO = _("Save photo");
        public abstract const string SAVE_BUTTON = _("Save");
        public abstract const string CANCEL_BUTTON = _("Cancel");
        public abstract const string CLIPBOARD_TITLE_NOTIFICATION = _("Share photo");
        public abstract const string CLIPBOARD_MSG_NOTIFICATION = _("The link %s has been copied to the clipboard!");
        public abstract const string ORIENTATION = _("Orientation");
        public abstract const string RESULTS = _("results");
        public abstract const string GALLERY = _("Gallery");
        public abstract const string DARK_MODE = _("Dark");
        public abstract const string LIGHT_MODE = _("Light");
        public abstract const string FOLLOW_SYSTEM_MODE = _("Follow system");
        public abstract const string CLOSE_SETTINGS = _("Close settings");
    }
}
